classification
Title: Merge nntplib._NNTPBase and nntplib.NNTP
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: corona10, lucianamarques, vstinner
Priority: normal Keywords: patch

Created on 2020-01-11 15:52 by corona10, last changed 2020-05-16 15:23 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18045 closed python-dev, 2020-01-17 22:59
PR 19817 merged corona10, 2020-04-30 15:24
Messages (8)
msg359803 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-01-11 15:52
See: https://github.com/python/cpython/pull/17939#pullrequestreview-341290152

There was partial refactoring through PR 17939.
I and Victor think that nntplib._NNTPBase can be removed by merging nntplib._NNTPBase and nntplib.NNTP.

The only care point would be rewriting unit testing code which depends on nntplib._NNTPBase.
msg359989 - (view) Author: Luciana (lucianamarques) * Date: 2020-01-14 20:29
Hey, I'm taking a look into this!
msg360012 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-01-14 23:32
@lucianamarques

Good news, if you submit the patch.
Please ping me and @vstinner :)
msg360066 - (view) Author: Luciana (lucianamarques) * Date: 2020-01-15 17:15
Thank you, I am creating the patch now and will submit it later today!
msg360218 - (view) Author: Luciana (lucianamarques) * Date: 2020-01-17 23:10
I just uploaded the PR, please take a look when you have a chance :)

I did my best trying to come up with a good code.
msg369038 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-05-16 10:31
New changeset aa92a7cf210c98ad94229f282221136d846942db by Dong-hee Na in branch 'master':
bpo-39305: Update nntplib to merge nntplib.NNTP and nntplib._NNTPBase (GH-19817)
https://github.com/python/cpython/commit/aa92a7cf210c98ad94229f282221136d846942db
msg369039 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-05-16 10:33
I am no closing this issue :)

Thank you for the suggestion, Victor.
And also thank you for the interest in this issue, Luciana :)
msg369052 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-05-16 15:23
Thanks, that's a nice simplification of the code ;-)
History
Date User Action Args
2020-05-16 15:23:15vstinnersetmessages: + msg369052
2020-05-16 10:33:18corona10setstatus: open -> closed
resolution: fixed
messages: + msg369039

stage: patch review -> resolved
2020-05-16 10:31:57corona10setmessages: + msg369038
2020-04-30 15:24:45corona10setpull_requests: + pull_request19137
2020-01-17 23:10:16lucianamarquessetmessages: + msg360218
2020-01-17 22:59:50python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17439
2020-01-15 17:15:10lucianamarquessetmessages: + msg360066
2020-01-14 23:32:13corona10setmessages: + msg360012
2020-01-14 20:29:55lucianamarquessetnosy: + lucianamarques
messages: + msg359989
2020-01-11 15:52:28corona10create